$(document).ready(function(){
	$('#brandName').blur(function(){
		var formattedInput = $.formatUrl($(this).val());
		$("#brandKey").val(formattedInput);
    });
		$(".expand").click(function(){
		if($(this).hasClass('colapse')){
			$(this).removeClass('colapse');
			$(this).closest('li').find('ul:first').addClass('hide');
		}
		else{
			$(this).addClass('colapse'); 
			$(this).closest('li').find('ul:first').removeClass('hide');
		}
	});
	
    $(document).on('click', ".expandable", function () {
        var id = $(this).attr("id");
        $("#div" + id).fadeIn();
        $(this).removeClass("expandable").addClass("collapsable");
    });
    $(document).on('click',".collapsable",function () {
        var id = $(this).attr("id");
        $("#div" + id).fadeOut();
        $(this).removeClass("collapsable").addClass("expandable");
    });		
		$(document).on('keyup',"#filterCategories",function(){
		
		var val = $(this).val();
		$(".li_catIDs").each(function() {
		//console.log($(this).attr('catname').toLowerCase().indexOf(val));
		if ($(this).attr('catname').toLowerCase().indexOf(val) > -1) {
			if($(this).attr('data-level') == 0){
				$(this).removeClass("hide").addClass("show");
			}
		}else{
			if($(this).attr('data-level') == 0){
				$(this).removeClass("show").addClass("hide");
			}
		}			
		});
	})	

});

